# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# D:\a\1\s\recipe, last modified Thu May 27 12:30:43 2021
# ------------------------------------------------

package:
  name: r-fable
  version: 0.3.1
source:
  sha256: 075b9dc5a99eee2a1a13bf4ea654e233a7dab4160a26346608dadb81da1bb4a0
  url:
    - https://cran.r-project.org/src/contrib/Archive/fable/fable_0.3.1.tar.gz
    - https://cran.r-project.org/src/contrib/fable_0.3.1.tar.gz
build:
  merge_build_host: true
  number: '0'
  rpaths:
    - lib/
    - lib/R/lib/
  string: r41ha856d6a_0
requirements:
  build:
    - m2-bash 4.3.042 5
    - m2-coreutils 8.25 102
    - m2-filesystem 2016.04 4
    - m2-gcc-libs 5.3.0 4
    - m2-gmp 6.1.0 3
    - m2-libbz2 1.0.6 3
    - m2-libiconv 1.14 3
    - m2-libintl 0.19.7 4
    - m2-make 4.1 5
    - m2-msys2-runtime 2.5.0.17080.65c939c 3
    - m2-sed 4.2.2 3
    - m2-zip 3.0 2
    - m2w64-binutils 2.25.1 5
    - m2w64-bzip2 1.0.6 6
    - m2w64-crt-git 5.0.0.4636.2595836 2
    - m2w64-gcc 5.3.0 6
    - m2w64-gcc-ada 5.3.0 6
    - m2w64-gcc-fortran 5.3.0 6
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gcc-objc 5.3.0 6
    - m2w64-gmp 6.1.0 2
    - m2w64-headers-git 5.0.0.4636.c0ad18a 2
    - m2w64-isl 0.16.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libmangle-git 5.0.0.4509.2e5a9a2 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-make 4.1.2351.a80a8b8 2
    - m2w64-mpc 1.0.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pkg-config 0.29.1 2
    - m2w64-toolchain 5.3.0 7
    - m2w64-toolchain_win-64 2.4.0 0
    - m2w64-tools-git 5.0.0.4592.90b8472 2
    - m2w64-windows-default-manifest 6.4 3
    - m2w64-winpthreads-git 5.0.0.4634.697f757 2
    - m2w64-zlib 1.2.8 10
    - msys2-conda-epoch 20160418 1
  host:
    - _r-mutex 1.0.1 anacondar_1
    - intel-openmp 2021.2.0 h57928b3_616
    - libblas 3.9.0 8_mkl
    - liblapack 3.9.0 8_mkl
    - m2w64-bwidget 1.9.10 2
    - m2w64-bzip2 1.0.6 6
    - m2w64-expat 2.1.1 2
    - m2w64-fftw 3.3.4 6
    - m2w64-flac 1.3.1 3
    - m2w64-gcc-libgfortran 5.3.0 6
    - m2w64-gcc-libs 5.3.0 7
    - m2w64-gcc-libs-core 5.3.0 7
    - m2w64-gettext 0.19.7 2
    - m2w64-gmp 6.1.0 2
    - m2w64-gsl 2.1 2
    - m2w64-libiconv 1.14 6
    - m2w64-libjpeg-turbo 1.4.2 3
    - m2w64-libogg 1.3.2 3
    - m2w64-libpng 1.6.21 2
    - m2w64-libsndfile 1.0.26 2
    - m2w64-libtiff 4.0.6 2
    - m2w64-libvorbis 1.3.5 2
    - m2w64-libwinpthread-git 5.0.0.4634.697f757 2
    - m2w64-libxml2 2.9.3 3
    - m2w64-mpfr 3.1.4 4
    - m2w64-pcre2 10.34 0
    - m2w64-speex 1.2rc2 3
    - m2w64-speexdsp 1.2rc3 3
    - m2w64-tcl 8.6.5 3
    - m2w64-tk 8.6.5 3
    - m2w64-tktable 2.10 5
    - m2w64-wineditline 2.101 5
    - m2w64-xz 5.2.2 2
    - m2w64-zlib 1.2.8 10
    - mkl 2020.4 hb70f87d_311
    - msys2-conda-epoch 20160418 1
    - r-anytime 0.3.9 r41ha856d6a_0
    - r-assertthat 0.2.1 r41hc72bb7e_2
    - r-backports 1.2.1 r41h6d2157b_0
    - r-base 4.1.0 hddad469_1
    - r-brio 1.1.2 r41h6d2157b_0
    - r-callr 3.7.0 r41hc72bb7e_0
    - r-cli 2.5.0 r41hc72bb7e_0
    - r-colorspace 2.0_1 r41h6d2157b_0
    - r-crayon 1.4.1 r41hc72bb7e_0
    - r-desc 1.3.0 r41hc72bb7e_0
    - r-diffobj 0.3.4 r41h6d2157b_0
    - r-digest 0.6.27 r41ha856d6a_0
    - r-distributional 0.2.2 r41hc72bb7e_0
    - r-dplyr 1.0.6 r41ha856d6a_1
    - r-ellipsis 0.3.2 r41h6d2157b_0
    - r-evaluate 0.14 r41hc72bb7e_2
    - r-fabletools 0.3.1 r41hc72bb7e_0
    - r-fansi 0.5.0 r41h6d2157b_0
    - r-farver 2.1.0 r41ha856d6a_0
    - r-generics 0.1.0 r41hc72bb7e_0
    - r-ggplot2 3.3.3 r41hc72bb7e_0
    - r-glue 1.4.2 r41h6d2157b_0
    - r-gtable 0.3.0 r41hc72bb7e_3
    - r-isoband 0.2.4 r41ha856d6a_0
    - r-jsonlite 1.7.2 r41h6d2157b_0
    - r-labeling 0.4.2 r41hc72bb7e_0
    - r-lattice 0.20_44 r41h6d2157b_0
    - r-lifecycle 1.0.0 r41hc72bb7e_0
    - r-lubridate 1.7.10 r41ha856d6a_0
    - r-magrittr 2.0.1 r41h6d2157b_1
    - r-mass 7.3_54 r41h6d2157b_0
    - r-matrix 1.3_3 r41hd2e18ed_0
    - r-mgcv 1.8_35 r41hd2e18ed_0
    - r-munsell 0.5.0 r41hc72bb7e_1003
    - r-nlme 3.1_152 r41he816bda_0
    - r-numderiv 2016.8_1.1 r41hc72bb7e_3
    - r-pillar 1.6.1 r41hc72bb7e_0
    - r-pkgconfig 2.0.3 r41hc72bb7e_1
    - r-pkgload 1.2.1 r41ha856d6a_0
    - r-praise 1.0.0 r41hc72bb7e_1004
    - r-processx 3.5.2 r41h6d2157b_0
    - r-progressr 0.7.0 r41hc72bb7e_0
    - r-ps 1.6.0 r41h6d2157b_0
    - r-purrr 0.3.4 r41h6d2157b_1
    - r-r6 2.5.0 r41hc72bb7e_0
    - r-rcolorbrewer 1.1_2 r41h785f33e_1003
    - r-rcpp 1.0.6 r41ha856d6a_0
    - r-rematch2 2.1.2 r41hc72bb7e_1
    - r-rlang 0.4.11 r41h6d2157b_0
    - r-rprojroot 2.0.2 r41hc72bb7e_0
    - r-rstudioapi 0.13 r41hc72bb7e_0
    - r-scales 1.1.1 r41hc72bb7e_0
    - r-testthat 3.0.2 r41ha856d6a_0
    - r-tibble 3.1.2 r41h6d2157b_0
    - r-tidyr 1.1.3 r41ha856d6a_0
    - r-tidyselect 1.1.1 r41h6addd8b_0
    - r-tsibble 1.0.1 r41hc72bb7e_0
    - r-utf8 1.2.1 r41h6d2157b_0
    - r-vctrs 0.3.8 r41h6d2157b_1
    - r-viridislite 0.4.0 r41hc72bb7e_0
    - r-waldo 0.2.5 r41hc72bb7e_0
    - r-withr 2.4.2 r41hc72bb7e_0
  run:
    - m2w64-gcc-libs
    - r-base >=4.1,<4.2.0a0
    - r-dplyr >=0.8.0
    - r-fabletools
    - r-rcpp >=0.11.0
    - r-rlang >=0.2.0
    - r-tidyr
    - r-tsibble >=0.8.0
test:
  commands:
    - '"%R%" -e "library(''fable'')"'
about:
  home: https://fable.tidyverts.org
  license: GPL-3.0-only
  license_family: GPL3
  license_file: D:\bld\r-fable_1622118872375\_h_env/lib/R/share/licenses/GPL-3
  summary: Provides a collection of commonly used univariate and multivariate time
    series forecasting models including automatically selected exponential  smoothing
    (ETS) and autoregressive integrated moving average (ARIMA) models. These models
    work within the 'fable' framework provided by the 'fabletools' package, which
    provides the tools to evaluate, visualise, and combine models  in a workflow consistent
    with the tidyverse.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - conda-forge/r
    - philip-khor
